Help on module models:

NAME
    models

CLASSES
    sqlalchemy.orm.decl_api.Model(flask_sqlalchemy.model.Model)
        Item
        Location
        Store
    
    class Item(sqlalchemy.orm.decl_api.Model)
     |  Item class has 6 attributes 
     |  id
     |  name
     |  quantity
     |  image_url
     |  item_stores
     |  item_locations
     |  
     |  Method resolution order:
     |      Item
     |      sqlalchemy.orm.decl_api.Model
     |      flask_sqlalchemy.model.Model
     |      builtins.object
     |  
     |  Methods defined here:
     |  
     |  __init__(self, **kwargs)
     |      A simple constructor that allows initialization from kwargs.
     |      
     |      Sets attributes on the constructed instance using the names and
     |      values in ``kwargs``.
     |      
     |      Only keys that are present as
     |      attributes of the instance's class are allowed. These could be,
     |      for example, any mapped columns or relationships.
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors defined here:
     |  
     |  id
     |  
     |  image_url
     |  
     |  item_locations
     |  
     |  item_stores
     |  
     |  name
     |  
     |  quantity
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes defined here:
     |  
     |  __mapper__ = <Mapper at 0x4c2d430; Item>
     |  
     |  __table__ = Table('item', MetaData(), Column('id', Integer()...ng(), t...
     |  
     |  __tablename__ = 'item'
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:
     |  
     |  __abstract__ = True
     |  
     |  metadata = MetaData()
     |  
     |  query = <flask_sqlalchemy.BaseQuery object>
     |  
     |  query_class = <class 'flask_sqlalchemy.BaseQuery'>
     |      SQLAlchemy :class:`~sqlalchemy.orm.query.Query` subclass with convenience methods for querying in a web application.
     |      
     |      This is the default :attr:`~Model.query` object used for models, and exposed as :attr:`~SQLAlchemy.Query`.
     |      Override the query class for an individual model by subclassing this and setting :attr:`~Model.query_class`.
     |  
     |  registry = <sqlalchemy.orm.decl_api.registry object>
     |  
     |  ----------------------------------------------------------------------
     |  Methods inherited from flask_sqlalchemy.model.Model:
     |  
     |  __repr__(self)
     |      Return repr(self).
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors inherited from flask_sqlalchemy.model.Model:
     |  
     |  __dict__
     |      dictionary for instance variables (if defined)
     |  
     |  __weakref__
     |      list of weak references to the object (if defined)
    
    class Location(sqlalchemy.orm.decl_api.Model)
     |  Location class has 8 attributes 
     |  id
     |  name
     |  capital
     |  image_url
     |  population
     |  region
     |  item_stores (backreferenced)
     |  store_locations (backreferenced)
     |  
     |  Method resolution order:
     |      Location
     |      sqlalchemy.orm.decl_api.Model
     |      flask_sqlalchemy.model.Model
     |      builtins.object
     |  
     |  Methods defined here:
     |  
     |  __init__(self, **kwargs)
     |      A simple constructor that allows initialization from kwargs.
     |      
     |      Sets attributes on the constructed instance using the names and
     |      values in ``kwargs``.
     |      
     |      Only keys that are present as
     |      attributes of the instance's class are allowed. These could be,
     |      for example, any mapped columns or relationships.
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors defined here:
     |  
     |  capital
     |  
     |  id
     |  
     |  image_url
     |  
     |  items
     |  
     |  name
     |  
     |  population
     |  
     |  region
     |  
     |  stores
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes defined here:
     |  
     |  __mapper__ = <Mapper at 0x4c2da70; Location>
     |  
     |  __table__ = Table('location', MetaData(), Column('id', Integ..., table...
     |  
     |  __tablename__ = 'location'
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:
     |  
     |  __abstract__ = True
     |  
     |  metadata = MetaData()
     |  
     |  query = <flask_sqlalchemy.BaseQuery object>
     |  
     |  query_class = <class 'flask_sqlalchemy.BaseQuery'>
     |      SQLAlchemy :class:`~sqlalchemy.orm.query.Query` subclass with convenience methods for querying in a web application.
     |      
     |      This is the default :attr:`~Model.query` object used for models, and exposed as :attr:`~SQLAlchemy.Query`.
     |      Override the query class for an individual model by subclassing this and setting :attr:`~Model.query_class`.
     |  
     |  registry = <sqlalchemy.orm.decl_api.registry object>
     |  
     |  ----------------------------------------------------------------------
     |  Methods inherited from flask_sqlalchemy.model.Model:
     |  
     |  __repr__(self)
     |      Return repr(self).
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors inherited from flask_sqlalchemy.model.Model:
     |  
     |  __dict__
     |      dictionary for instance variables (if defined)
     |  
     |  __weakref__
     |      list of weak references to the object (if defined)
    
    class Store(sqlalchemy.orm.decl_api.Model)
     |  Store class has 6 attributes 
     |  id
     |  name
     |  rating (out of 5)
     |  store_count
     |  image_url
     |  item_stores (backreferenced)
     |  store_locations
     |  
     |  Method resolution order:
     |      Store
     |      sqlalchemy.orm.decl_api.Model
     |      flask_sqlalchemy.model.Model
     |      builtins.object
     |  
     |  Methods defined here:
     |  
     |  __init__(self, **kwargs)
     |      A simple constructor that allows initialization from kwargs.
     |      
     |      Sets attributes on the constructed instance using the names and
     |      values in ``kwargs``.
     |      
     |      Only keys that are present as
     |      attributes of the instance's class are allowed. These could be,
     |      for example, any mapped columns or relationships.
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors defined here:
     |  
     |  id
     |  
     |  image_url
     |  
     |  items
     |  
     |  name
     |  
     |  rating
     |  
     |  store_count
     |  
     |  store_locations
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes defined here:
     |  
     |  __mapper__ = <Mapper at 0x4c2d710; Store>
     |  
     |  __table__ = Table('store', MetaData(), Column('id', Integer(...g(), ta...
     |  
     |  __tablename__ = 'store'
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:
     |  
     |  __abstract__ = True
     |  
     |  metadata = MetaData()
     |  
     |  query = <flask_sqlalchemy.BaseQuery object>
     |  
     |  query_class = <class 'flask_sqlalchemy.BaseQuery'>
     |      SQLAlchemy :class:`~sqlalchemy.orm.query.Query` subclass with convenience methods for querying in a web application.
     |      
     |      This is the default :attr:`~Model.query` object used for models, and exposed as :attr:`~SQLAlchemy.Query`.
     |      Override the query class for an individual model by subclassing this and setting :attr:`~Model.query_class`.
     |  
     |  registry = <sqlalchemy.orm.decl_api.registry object>
     |  
     |  ----------------------------------------------------------------------
     |  Methods inherited from flask_sqlalchemy.model.Model:
     |  
     |  __repr__(self)
     |      Return repr(self).
     |  
     |  ----------------------------------------------------------------------
     |  Data descriptors inherited from flask_sqlalchemy.model.Model:
     |  
     |  __dict__
     |      dictionary for instance variables (if defined)
     |  
     |  __weakref__
     |      list of weak references to the object (if defined)

DATA
    DBNAME = 'groceryfindsdb'
    PASSWORD = 'abc123'
    PUBLIC_IP_ADDRESS = 'localhost:5432'
    USER = 'postgres'
    app = <Flask 'models'>
    db = <SQLAlchemy engine=postgresql://postgres:***@localhost:5432/groce...
    item_locations = Table('item_locations', MetaData(), Column('item..., ...
    item_stores = Table('item_stores', MetaData(), Column('item_id..., pri...
    store_locations = Table('store_locations', MetaData(), Column('sto...,...

FILE
    c:\users\emmal\desktop\cs331e-idb\backend\models.py


